org.eclipse.jetty.util.component

## Interface Destroyable

- All Known Subinterfaces:
    Handler, Server.Graceful
  All Known Implementing Classes:
    AbstractConnector, AbstractHandler, AbstractHandlerContainer, AbstractNIOConnector, AggregateLifeCycle, Ajp13SocketConnector, BlockingChannelConnector, ConnectHandler, ConstraintSecurityHandler, ContextHandler, ContextHandlerCollection, DataSourceCloser, DebugHandler, DefaultHandler, DeploymentManager, ErrorHandler, ErrorPageErrorHandler, FileDestroyable, GzipHandler, HandlerCollection, HandlerList, HandlerWrapper, HotSwapHandler, HttpClient, InheritedChannelConnector, IPAccessHandler, LocalConnector, MovedContextHandler, NestedConnector, NetworkTrafficSelectChannelConnector, ProxyHandler, RequestLogHandler, ResourceHandler, RewriteHandler, ScopedHandler, SecurityHandler, SelectChannelConnector, Server, ServletContextHandler, ServletHandler, ServletHandler, SessionHandler, ShutdownHandler, SocketConnector, SslSelectChannelConnector, SslSocketConnector, StatisticsHandler, WebAppContext, WebSocketClientFactory, WebSocketHandler

      public interface Destroyable

  A Destroyable is an object which can be destroyed.

  Typically a Destroyable is a `LifeCycle` component that can hold onto resources over multiple start/stop cycles. A call to destroy will release all resources and will prevent any further start/stop cycles from being successful.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`

- - ### Method Detail

    - #### destroy

          void destroy()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.